<?php
require "../connections/thaitechno.php";
require "../class/SQLManager.php";
require "include/function.inc.php";

$sql = new SQLManager();

switch($_GET['id']){
	case 1:
		$title = "AGRICULTURE";
		$path = "agriculture";
		$newtype = 12;
		break;
	case 2:
		$title = "FOOD AND BEVERAGE";
		$path = "food";
		$newtype = 3;
		break;
	case 6:
		$title = "GARMENT";
		$path = "garment";
		$newtype = 2;
		$subgroup = 20;
		break;
	case 7:
		$title = "LEATHER";
		$path = "leather";
		$newtype = 7;
		break;
	case 9:
		$title = "ENVIRONMENT";
		$path = "environment";
		$newtype = 13;
		$subgroup = 10;
		break;
	case 10:
		$title = "PLASTICS";
		$path = "plastics";
		$newtype = 6;
		break;
	case 11:
		$title = "CHEMICAL";
		$path = "chemical";
		$newtype = 14;
		break;
	case 12:
		$title = "CONSTRUCTION";
		$path = "construction";
		$newtype = 8;
		$subgroup = 16;
		break;
	case 15:
		$title = "MACHINERY";
		$path = "machinery";
		$newtype = 4;
		$subgroup = 1;
		break;
	case 16:
		$title = "ELECTRONIC";
		$path = "electronics";
		$newtype = 5;
		$subgroup = 5;
		break;
	case 19:
		$title = "COMPUTER & IT";
		$path = "computer";
		$newtype = 11;
		$subgroup = 13;
		break;
	case 21:
		$title = "LOGISTICS";
		$path = "logistics";
		$newtype = 9;
		$subgroup = 14;
		break;
	case 27:
		$title = "JEWELRY";
		$path = "jewelry";
		$newtype = 10;
		break;
	default:
		$_GET['id'] = 13;
		$title = "AUTOPARTS";
		$path = "autoparts";
		$newtype = 1;
		$subgroup = 18;
		break;
}

$title = "FTI : ".$title;

$year = date('Y');
$dayStart = 1;


// SELECT ACTIVITY
$sql->field = "postnews.HEADING,
					postnews.IMAGE,
					postnews.`DATE`,
					postnews.OID,
					postnews.COMPANY_OID,
					tbl_company.COMPANYNAME_TH,
					tbl_company.LOGOIMAGE,
					TBL_USERS.OID AS USERID";
$sql->table = "postnews
					Inner Join tbl_company ON postnews.COMPANY_OID = tbl_company.OID
					Inner Join tbl_companyindustrygroup ON postnews.COMPANY_OID = tbl_companyindustrygroup.COMPANY_OID
					Inner Join TBL_USERS ON TBL_USERS.COMPANY_OID = postnews.COMPANY_OID";
$sql->condition = sprintf("where tbl_companyindustrygroup.INDUSTRYGROUP_OID=%s 
					and postnews.NEWSTYPE=%s 
					and postnews.STATUS=%s 
					and TBL_USERS.STATUS=%s 
					ORDER BY postnews.OID DESC limit 5",
					GetSQLValueString($_GET['id'],"int"),
					0,
					1,
					1);
$activity = $sql->select();
$num_activity = mysql_num_rows($activity);


// SELECT PRODUCT
$sql->field = "id, name, brand, model, pic, detail, name_en, pro_indusgroup, com_th, uid, indusgroup, logo, lastupdate, view";
$sql->table = "view_product";
$sql->condition = sprintf("WHERE pro_indusgroup=%s and indusgroup=%s and show_web=1 order by lastupdate desc limit 20",
		GetSQLValueString($_GET['id'],"int"),
		GetSQLValueString($_GET['id'],"int"));
$product = $sql->select();
$num_product = mysql_num_rows($product);


// SELECT KNOWLEDGE
$sql->field = "indusgroup,id,topic,pic,detail,`view`,date,uid,comTh";
$sql->table = "view_knowledge";
$sql->condition = sprintf("where indusgroup=%s 
						order by id desc limit 5",
						GetSQLValueString($_GET['id'],"int"));
$rs_km = $sql->select();
$num_km = mysql_num_rows($rs_km);

if($_GET['id']==13) {
	// SELECT TECHNICAL NEWS
	$sql->field = "news_id, news_thumbnail, news_start, news_end, news_title, news_short_detail";
	$sql->table = "tbl_ecit_news";
	$sql->condition = "where news_type_id='1' and news_chanel_type_id='2' ORDER BY news_id LIMIT 8";
	$tech_news = $sql->select();
	$num_tech = mysql_num_rows($tech_news);

	// SELECT CAR NEWS
	$sql->condition = "where news_type_id='1' and news_chanel_type_id='3' ORDER BY news_id LIMIT 8";
	$car_news = $sql->select();
	$num_car = mysql_num_rows($car_news);
}

//SELECT HILIGHT NEWS
$sql->field = "news_id AS id,news_thumbnail,news_start,news_end,news_title, news_short_detail AS intro, news_hilight, news_thumb_hilight AS hilight";
$sql->table = "tbl_ecit_news";
$sql->condition = sprintf("WHERE news_hilight=1 and news_type_id=%s ORDER BY news_id DESC LIMIT 4",
		GetSQLValueString($newtype,"int"));
$hilight = $sql->select();
$num_hilight = mysql_num_rows($hilight);

//SELECT NEWS UPDATED
$sql->condition = sprintf("WHERE news_type_id=%s Order by news_id desc limit 5",
		GetSQLValueString($newtype,"int"));
$newsUpdate = $sql->select();
$num_newsUpdate = mysql_num_rows($newsUpdate);

// SELECT COMPANY GROUP
$sql->field = "tbl_company.COMPANYNAME_TH, tbl_company.COMPANYNAME_EN, tbl_company.COMPANYABSTRACT, tbl_company.URL, tbl_company.LOGOIMAGE, TBL_USERS.OID AS UID, tbl_company.banner_img1, tbl_province.PROVINCENAME_TH";
$sql->table = "TBL_USERS Inner Join tbl_company ON TBL_USERS.COMPANY_OID=tbl_company.OID Inner Join tbl_address ON TBL_USERS.OID=tbl_address.USERS_OID Inner Join tbl_companyindustrygroup ON TBL_USERS.COMPANY_OID=tbl_companyindustrygroup.COMPANY_OID Inner Join tbl_province on tbl_province.OID=tbl_address.PROVINCE_OID";
$sql->condition = sprintf("where tbl_companyindustrygroup.INDUSTRYGROUP_OID=%s and TBL_USERS.STATUS=1 and (tbl_company.LOGOIMAGE<>'' or tbl_company.banner_img1<>'') order by rand() limit 10",
		GetSQLValueString($_GET['id'],"int"));
$company = $sql->select();
$num_company = mysql_num_rows($company);


//SELECT STATISTIC PRODUCT
$sql->table = "tbl_product
						Inner Join TBL_USERS ON tbl_product.USERS_OID = TBL_USERS.OID
						Inner Join tbl_companyindustrygroup ON TBL_USERS.COMPANY_OID = tbl_companyindustrygroup.COMPANY_OID
						Inner Join tbl_company ON TBL_USERS.COMPANY_OID = tbl_company.OID";
$sql->field = "tbl_company.COMPANYNAME_TH,
						tbl_company.COMPANYNAME_EN,
						Count(tbl_product.OID) AS Total,
						TBL_USERS.OID as USERID";
$sql->condition = sprintf("WHERE
							tbl_companyindustrygroup.INDUSTRYGROUP_OID=%s
							AND tbl_product.show_web=1
							GROUP BY tbl_company.OID
							ORDER BY Total DESC LIMIT 10",
							GetSQLValueString($_GET['id'],"int"));
$rs_statistic_product = $sql->select();
$num_statistic_product = mysql_num_rows($rs_statistic_product);


//SELECT STATISTIC PROVINCE
$sql->table = "TBL_USERS
						Inner Join tbl_address ON TBL_USERS.OID = tbl_address.USERS_OID
						Inner Join tbl_companyindustrygroup ON TBL_USERS.COMPANY_OID = tbl_companyindustrygroup.COMPANY_OID
						Inner Join tbl_province ON tbl_province.OID = tbl_address.PROVINCE_OID";
$sql->field = "tbl_province.PROVINCENAME_TH,
						tbl_province.PROVINCENAME_EN,
						Count(TBL_USERS.OID) AS Total";
$sql->condition = sprintf("WHERE
							tbl_companyindustrygroup.INDUSTRYGROUP_OID =%s
							GROUP BY tbl_province.OID
							ORDER BY Total DESC LIMIT 10",
							GetSQLValueString($_GET['id'],"int"));
$rs_statistic_province = $sql->select();
$totalStatProvince = "";
while($statProvince = mysql_fetch_assoc($rs_statistic_province)) {
	$totalStatProvince += $statProvince['Total'];
}
mysql_data_seek($rs_statistic_province, 0);



$sql->field = "id, name, nameEn, view";
$sql->table = "rank_company";
$sql->condition = sprintf("WHERE
							(SELECT COUNT(comInd.OID)
								FROM tbl_companyindustrygroup AS comInd
								WHERE comInd.COMPANY_OID = company_id AND comInd.INDUSTRYGROUP_OID = %s) > 0
								LIMIT 10",
								GetSQLValueString($_GET['id'],"int"));
$rsRank = $sql->select();

$arrIncCss = array("basic" => "/channel/css/channel.css",
					"channel" => "/channel/".$path."/css/base.css");

$arrIncScript = array("GoogleMap" => "http://maps.googleapis.com/maps/api/js?sensor=true",
						"SildeNews"=>"/channel/js/Slide_News.js",
						"Location" => "/channel/js/supplier_location.js",
						"Highcharts" => "/plugins/highcharts/highcharts.src.js",
						"HighchartsExports" => "/plugins/highcharts/modules/exporting.src.js",
						"This" => "/channel/js/home.js");


?>
<?php include("../header.inc.php"); ?>
<?php include("../sidebar.inc.php"); ?>
<div id="content">


	<div class="content">
        
        
        <div id="content_box01">
            <form action="search.php" method="get">
	        	<div id="search">
	            	<input name="q" type="text" class="in_b in_wh2 in_t" id="q" placeholder="<?php $translate->__('Search Product Or Business'); ?>" size="56">
	            </div>
	            <div id="search_icon">
					<input type="image" name="conf" value="submit" id="submit" src="/images/search_button.png">
	            </div>
            </form>
        </div>
        <!----- end content_box01 ----->
        
        <div class="content2"> 
        
     
			<div class="detail" >
					<img src="images/cover.png">
			</div>
		
		
			<div class="heading_title">
				<div class="center"><h2>HILIGHT NEWS (ข่าวสารแนะนำ)</h2></div>
			</div> 
			
	        <div class="detail" >
				<div id="boxNewsCenter">
                      <div id="boxNewsContent">
                        <div id="boxNewsContentLeft">
                          <?php if($num_hilight!=0) { ?>
                          <div id="slideNews">
                            <div id="boxNewsHilightViewMask" class="hideNewsHilight"></div>
                            <div id="boxNewsHilight" news="1">
                              <?php 
							  $i=0; 
							   while($row_hilight = mysql_fetch_object($hilight)) :  
							   $thumb_hilight[$i] = $row_hilight->hilight;
							   $i++;				   
			   				?>
                              <div id="newsHilight<?php echo $i;?>" class="<?php if($i==1) echo "showNewsHilight"; else echo "hideNewsHilight"; ?>">
                                <div class="imgNewsHilight" ><a href="/channel/newsDetail.php?id=<?php echo $row_hilight->id; ?>"><img src="http://www.thaitechno.net<?php echo $row_hilight->hilight; ?>" width="320" height="220" /></a></div>
                                <br />
                                <a href="/channel/newsDetail.php?id=<?php echo $row_hilight->id;?>" class="linkNewsHilight"><?php echo $row_hilight->news_title;?> </a>
                                <hr />
                                <div id="shortNewsHilight"><?php echo $row_hilight->intro; ?></div>
                              </div>
                              <?php endwhile; ?>
                            </div>
                            <div id="boxNewsHilightView">
                              <ul>
                                <?php 
                                $i = 1;
								foreach($thumb_hilight as $row_thumb) :
					 			?>
                                <li id="slideNews<?php echo $i;?>"><a href="javascript:void(0);"><img src="http://www.thaitechno.net<?php echo $row_thumb; ?>" width="70" height="56" /></a></li>
                                <?php 
                                $i++;  
                                endforeach; 
                                ?>
                              </ul>
                            </div>
                          </div>
                          <?php } ?>
                        </div>
                        <?php if($num_newsUpdate!=0) {?>
                        <div id="boxNewsContentRight">
                          <?php while($row_news= mysql_fetch_object($newsUpdate)){ ?>
                          <div class="boxNewsList">
                            <div class="imgNewsList">
	              			<?php
								if(!empty($row_news->news_thumbnail)) {
									$pic = "http://www.thaitechno.net".$row_news->news_thumbnail;
								} else {
									$pic = "/channel/images/no_image.gif";
								}			
								
							?>
                              <a href="/channel/newsDetail.php?id=<?php echo $row_news->id;?>">
                              <div class="imgThumb">
                              	<img src="<?php echo $pic; ?>" />
                              </div>
                              </a></div>
                            <div class="boxNewsTitle"><a href="/channel/newsDetail.php?id=<?php echo $row_news->id;?>"><?php echo $row_news->news_title; ?></a></div>
                            <div class="boxShortNews">
                              <div class="boxShowNewsDate"><span class="fontTextSmallGray">
                                <?php if($row_news->news_start!='0000-00-00' && $row_news->news_start!="" && $row_news->news_end!='0000-00-00' && $row_news->news_end!="") { echo $row_news->news_start." To ".$row_news->news_end; } ?>
                                </span></div>
                              <?php echo $row_news->intro; ?></div>
                            </p>
                          </div>
                          <?php } ?>
                        </div>
                        <?php } ?>
                      </div>
                      <div class="clearLeft">
                        <div class="borderLinkTextAll"><a href="/channel/ganeral_news.php?indus=<?php echo $_GET['id']; ?>"><span class="textAll">ดูทั้งหมด</span></a></div>
                      </div>
                    </div>
			</div>
			
			
			
			
			
			
			<div class="content3">
	
					<div class="heading_title">
						<div class="center"><h2>COMPANIES BY LOCATION (สถานที่ตั้งของบริษัท)</h2></div>
					</div>
			        <div class="detail" >
						<div id="map_canvas" data-channel="<?php echo $path; ?>" data-gid="<?php echo $_GET['id']; ?>"></div>
					</div>
			
			
					
					<?php if($num_product!=0) : ?>
			        <div>
				 		<div class="heading_title">
							<div class="center"><h2>UPDATED PRODUCT (สินค้าล่าสุดจากซัพพลายเออร์)</h2></div>
						</div>
					    <div class="detail" >
							<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder1px">
		                            <tr>
		                              <th width="4%" height="40">ลำดับ</th>
		                              <th width="5%" height="40">ภาพ</th>
		                              <th width="82%" height="40">ชื่อสินค้า</th>
		                              <th width="5%" height="40" align="center" valign="middle">view</th>
		                              <th width="4%" height="40" align="center" valign="middle">เวลา</th>
		                            </tr>
		                            <?php 
									$i = 1;
									while($row_product = mysql_fetch_object($product)) { ?>
		                            <tr>
		                              <td height="55" align="center" valign="middle" nowrap="nowrap"><?php echo $i; ?></td>
		                              <td align="center" valign="middle">
		                              <?php
									  if($row_product->pic != "") {
										  $pic = "http://www.thaitechno.net".$row_product->pic;
									  } else if($row_product->logo != ""){
										  $pic = "http://www.thaitechno.net".$row_product->logo;
									  } else {
										  $pic = "/channel/images/no_image.gif";
									  }
									  
									
									  ?>
		                              <a href="/shop4/product-detail.php?id=<?php echo $row_product->id;  ?>&uid=<?php echo $row_product->uid; ?>" target="_blank" >
		                              <div class="imgThumb">
		                              	<img src="<?php echo $pic; ?>" border="0" />
		                              </div>
		                              </a>
		                              </td>
		                              <td valign="top"><div class="marginLeft">
									  <a href="/shop4/product-detail.php?id=<?php echo $row_product->id;  ?>&uid=<?php echo $row_product->uid; ?>" target="_blank"><?php echo $row_product->name; ?></a><br />
		                              <?php 
									  if($row_product->brand!="" && $row_product->brand!="-") {
											echo "<span class='textblack'>Brand : ".$row_product->brand."<br /></span>";  
									  }
									  if($row_product->model!="" && $row_product->model!="-") {
										  	echo "<span class='textblack'>Model : ".$row_product->model."<br /></span>";
									  } 
									  if($row_product->detail!="" && $row_product->detail!="") {
									  		echo substr($row_product->detail,0,300);
											if(strlen($row_product->detail)>300) echo "...<br />"; else echo"<br />";
									  }
									  ?>
		                              <a href="/shop4/home.php?uid=<?php echo $row_product->uid; ?>" target="_blank"><span class="TextRed">จาก...<?php echo $row_product->com_th; ?></span></a></div>
		                              </td>
		                              <td align="center" valign="middle" nowrap="nowrap"><?php echo $row_product->view; ?></td>
		                              <td align="center" valign="middle" nowrap="nowrap">
									  <?php 
									  $date = FormatDateTime($row_product->lastupdate);
									  if($date!="") {
										  $arr = explode(" ",$date);
										  echo "<span class='TextRed'>".$arr[0]."</span><br />".$arr[1];
									  }
									  ?></td>
		                            </tr>
		                            <?php $i++; } ?>
		                            <tr>
		                              <td height="25" colspan="5" align="center" valign="middle" nowrap="nowrap"><div class="borderLinkTextAll"><a href="/channel/product.php?indus=<?php echo $_GET['id']; ?>"><span class="textAll">ดูทั้งหมด</span></a></div></td>
		                            </tr>
		                          </table>
						</div>
			        </div>
			        <?php endif; //Update Product ?>
			</div>
			
			
			
			
			
			
			
	        
	       <div class="sideBarRight">
	       
	       		<?php if(mysql_num_rows($rs_statistic_province)) : ?>
	            <div class="heading_title">
					<div class="center"><h2>จังหวัดที่มีกิจการสูงสุด</h2></div>
				</div>
				
	            <div class="detail" >
	            	<div id="chartProvince"></div>
	            	
					<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder1px" id="reportProvince">
						<thead>
				          	<tr>
					            <th width="16%" align="center" nowrap="nowrap">อันดับ</th>
					            <th width="73%" align="left">จังหวัด</th>
					            <th width="11%" align="center" nowrap="nowrap">จำนวน</th>
				            </tr>
			            </thead>
			            <tbody>
				          <?php
						  $count_statistic_province = 1;
						  while($row_statistic_province = mysql_fetch_object($rs_statistic_province)) :
					      ?>
				          <tr>
				            <td align="center"><?php echo $count_statistic_province; ?></td>
				            <td align="left">
				            	<span class="textBlackLink nameProvince" data-percent="<?php echo ($row_statistic_province->Total * 100) / $totalStatProvince; ?>">
				            		<?php echo $row_statistic_province->PROVINCENAME_TH; ?>
				            	</span>
				            </td>
				            <td align="center" nowrap="nowrap"><?php echo $row_statistic_province->Total; ?></td>
				          </tr>
				          <?php
						  $count_statistic_province++;
						  endwhile; 
						  ?>
					  	</tbody>
			         </table>
				</div>
				<?php endif; ?>
				
	                
	            <div class="heading_title">
					<div class="center"><h2>บริษัทที่มีจำนวนผู้เข้าเยี่ยมชมสูงสุด</h2></div>
				</div>
	            <div class="detail" >
					<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder1px">
          <tr>
            <th width="16%" align="center" nowrap="nowrap">อันดับ</th>
            <th width="73%" align="left">&nbsp;ชื่อบริษัท</th>
            <th width="11%" align="center" nowrap="nowrap">ผู้เข้าชม</th>
          </tr>
          <?php
		  $i = 1;
		  while($rowRank = mysql_fetch_object($rsRank)) {
			  ?>
             
          <tr <?php if($i==1) { echo "class='bgTrOne'"; } else if($i==2 || $i==3) { echo "class='bgTrTwo'"; } ?>>
            <td align="center">
			<?php if($i==1) { ?>
            	<img src="/channel/images/icon_award1.png" align="absmiddle" />
			<?php } else if($i==2) { ?>
				<img src="/channel/images/icon_award2.png" align="absmiddle" />
             <?php } else if($i==3) { ?>
             	<img src="/channel/images/icon_award3.png" align="absmiddle" />
			 <?php } else { echo $i; } ?>
             </td>
            <td align="left"><a href="/shop4/home.php?uid=<?php echo $rowRank->id; ?>" target="_blank"><span class="textBlackLink"><?php echo $rowRank->name; ?></span><br />
              <span class="textgreyLink"><?php echo $rowRank->nameEn; ?></span></a></td>
            <td align="center" nowrap="nowrap"><?php echo number_format($rowRank->view); ?></td>
          </tr>
          <?php
		  $i++;
		  }
		  ?>
        </table>
				</div>
	            <div class="heading_title">
					<div class="center"><h2>บริษัทที่มีจำนวนผู้สินค้าสูงสุด</h2></div>
				</div>
	            <div class="detail" >
					<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder1px">
          <tr>
            <th width="16%" align="center" nowrap="nowrap">อันดับ</th>
            <th width="73%" align="left">&nbsp;ชื่อบริษัท</th>
            <th width="11%" align="center" nowrap="nowrap">สินค้า</th>
            </tr>
          <?php
		  $count_statistic_product = 1;
		  while($row_statistic_product = mysql_fetch_object($rs_statistic_product)) {
			  ?>
          <tr <?php if($count_statistic_product==1) { echo "class='bgTrOne'"; } else if($count_statistic_product==2 || $count_statistic_product==3) { echo "class='bgTrTwo'"; } ?>>
            <td align="center">
			<?php if($count_statistic_product==1) { ?>
            	<img src="/channel/images/icon_award1.png" align="absmiddle" />
			<?php } else if($count_statistic_product==2) { ?>
				<img src="/channel/images/icon_award2.png" align="absmiddle" />
             <?php } else if($count_statistic_product==3) { ?>
             	<img src="/channel/images/icon_award3.png" align="absmiddle" />
			 <?php } else { echo $count_statistic_product; } ?>
            <td align="left"><a href="/shop4/home.php?uid=<?php echo $row_statistic_product->USERID; ?>" target="_blank"><span class="textBlackLink"><?php echo $row_statistic_product->COMPANYNAME_TH; ?></span><br /><span class="textgreyLink"><?php echo $row_statistic_product->COMPANYNAME_EN; ?></span></a></td>
            <td align="center" nowrap="nowrap"><?php echo number_format($row_statistic_product->Total); ?></td>
            </tr>
          <?php
		  $count_statistic_product++;
		  }
		  ?>
          </table>
				</div>       
	       </div>
	       
	       
	       
	      <div>
	            <div style="width:49%;float:left;">
	                <div class="heading_title">
						<div class="center"><h2>HILIGHT ACTIVITIES (แนะนำกิจกรรม)</h2></div>
					</div>
	                <div class="detail" >
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td>&nbsp;</td>
                              <td>&nbsp;</td>
                              <td>&nbsp;</td>
                            </tr>
                            <?php
				  while($row_activity = mysql_fetch_object($activity)) {
					  
					  if($row_activity->IMAGE!="") {
						  $pic = "http://www.thaitechno.net".$row_activity->IMAGE;
					  } else {
						  if($row_activity->LOGOIMAGE!="") {
							  	$pic = "http://www.thaitechno.net".$row_activity->LOGOIMAGE; 
						  } else {
						  		$pic = "/channel/images/no_image.gif";
						  }
					  }
				  ?>
                            <tr>
                              <td width="37%" align="center" valign="top">
                              	<a href="/shop4/news-detail.php?id=<?php echo $row_activity->OID; ?>&uid=<?php echo $row_activity->USERID; ?>" target="_blank">
                              	<div class="imgThumb">
                              	<img src="<?php echo $pic; ?>" border="0"/>
                              	</div>
                              </a></td>
                              <td width="3%" valign="top">&nbsp;</td>
                              <td width="60%" align="left" valign="top"><a href="/shop4/news-detail.php?id=<?php echo $row_activity->OID; ?>&uid=<?php echo $row_activity->USERID; ?>" target="_blank"><?php echo $row_activity->HEADING; ?><br />
                                </a><span class="textDateOrenge"><?php echo FormatDateTime($row_activity->DATE); ?></span><br />
                                <br /> 
                                <a href="/shop4/home.php?uid=<?php echo $row_activity->USERID; ?>" target="_blank"><span class="linkGray">จาก... <?php echo $row_activity->COMPANYNAME_TH; ?></span></a></td>
                            </tr>
                            <tr>
                              <td colspan="3">&nbsp;</td>
                            </tr>
                            <?php
				  }
				  
				  if($num_activity != 0) {
					?>
                            <tr>
                              <td colspan="3" align="right"><div class="borderLinkTextAll"><a href="/channel/hilight_activity.php?indus=<?php echo $_GET['id']; ?>"><span class="textAll">ดูทั้งหมด</span></a></div></td>
                            </tr>
                            <?php } ?>
                          </table>
					</div>
	             </div>
	             
	             <div style="width:49%;float:right">
	                <div class="heading_title">
						<div class="center"><h2>KNOWLEDGE (องค์ความรู้)</h2></div>
					</div>
	                <div class="detail" >
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <?php 
				if($num_km!=0) {
				?>
                            <tr>
                              <td>&nbsp;</td>
                              <td>&nbsp;</td>
                              <td>&nbsp;</td>
                            </tr>
                            <?php
				  	  while($row_km = mysql_fetch_object($rs_km)) {
					  $path_km = "http://www.thaitechno.net/uploadedimages/knowledge/thumbnail/";
					  if($row_km->pic!="") {
						  $pic = $path_km.$row_km->pic;
					  } else {
						  $pic = "/channel/images/no_image.gif";
					  }
					  
					  $sizePic = @getimagesize($_SERVER['DOCUMENT_ROOT'].$pic);
					  
					  $w = 100;
					  $w_ratio = $sizePic[0]/$w;
					  $h = $sizePic[1]/$w_ratio;
				  ?>
                            <tr>
                              <td width="37%" align="center" valign="top">
                              <a href="/shop4/knowledge-detail.php?id=<?php echo $row_km->id; ?>&uid=<?php echo $row_km->uid; ?>" target="_blank"><img src="<?php echo $pic; ?>" width="<?php echo $w; ?>" height="<?php echo $h; ?>" border="0" /></a></td>
                              <td width="3%" valign="top">&nbsp;</td>
                              <td width="60%" align="left" valign="top">
                              <a href="/shop4/knowledge-detail.php?id=<?php echo $row_km->id; ?>&uid=<?php echo $row_km->uid; ?>" target="_blank"><?php echo $row_km->topic; ?></a><br />
                                <span class="textDate"><?php echo substr($row_km->detail,0,300); if(strlen($row_km->detail)>300) { echo "..."; }?></span><br /><br />
                                <a href="/shop4/home.php?uid=<?php echo $row_km->uid; ?>" target="_blank"><span class="linkGray">จาก...<?php echo $row_km->comTh; ?></span></a></td>
                            </tr>
                            <tr>
                              <td colspan="3">&nbsp;</td>
                            </tr>
                            <?php
				  }
					?>
                            <tr>
                              <td colspan="3" align="right"><div class="borderLinkTextAll"><a href="/channel/knowledge.php?indus=<?php echo $_GET['id']; ?>"><span class="textAll">ดูทั้งหมด</span></a></div></td>
                            </tr>
                            <?php
				}
				?>
                          </table>
					</div>
	             </div>
	             
	      </div>
	      
	      <div style="width:100%;">
	          	<div class="heading_title">
						<div class="center"><h2>HILIGHT COMPANY (แนะนำบริษัท)</h2></div>
				</div>
	            <div class="detail" >
						<table width="100%" border="0" cellspacing="3" cellpadding="0">
                                  <?php
						$i=1;
						while($row_company = mysql_fetch_object($company)) {
							if($i%2==1) {
						?>
                                  <tr>
                                    <?php
						}
						
					  if($row_company->banner_img1!="") {
						  $pic = "http://www.thaitechno.net".$row_company->banner_img1;
					  } else {
						  if($row_company->LOGOIMAGE!="") {
						  		$pic = "http://www.thaitechno.net".$row_company->LOGOIMAGE;
						  } else {
						  		$pic = "/channel/images/no_image.gif";
						  }
					  }
					  ?>
                                    <td width="10%" height="95" align="center" valign="top"><a href="/shop4/home.php?uid=<?php echo $row_company->UID; ?>" target="_blank">
                                    <div class="imgThumb">
                                    <img src="<?php echo $pic; ?>" border="0"/>
                                    </div>
                                    </a></td>
                                    <td width="1%" valign="top">&nbsp;</td>
                                    <td valign="top" width="39%"><a href="/shop4/home.php?uid=<?php echo $row_company->UID; ?>" target="_blank"><?php echo $row_company->COMPANYNAME_TH."<br />"; ?><span class="TextRed"><?php echo $row_company->COMPANYNAME_EN; ?></span></a><br />
                                      <br />
                                      <span class="linkGray"><?php echo "จังหวัด : ".$row_company->PROVINCENAME_TH; ?></span></td>
                                    <?php
					if($i%2==0 || $i==$num_company){
					?>
                                  </tr>
                                  <?php
				}
				  $i++;
				}
				?>
                                </table>
                                <div class="borderLinkTextAll"><a href="/channel/CompanyAll.php?indus=<?php echo $_GET['id']; ?>"><span class="textAll">ดูทั้งหมด</span></a></div>
				</div>
	      </div>
			
		</div><!--  End content2 class -->  
	</div><!-------------------- end class content -------------------->


</div><!-- end id content -->

<?php include("../footer.inc.php"); ?>