<?php
header('Content-Type: text/html; charset=utf-8');
require "../connections/thaitechno.php";
require "../class/SQLManager.php";
require "../class/SplitPage.php";

$sql = new SQLManager();
$sql->table = "TBL_USERS";

if(isset($_SERVER['HTTP_X_REQUESTED_WITH'])){

	//======================================================= SHOW LOCATION =================================================
	if(isset($_GET['showLocation'])) {
		
		$split = new SplitPage();
		$split->pagesize = 100;
		
		
		$split->field = "tc.COMPANYNAME_TH AS name,
							tc.COMPANYNAME_EN AS name_en,
							tc.LOGOIMAGE AS logo, 
							tc.TEL AS tel, 
							tc.FAX AS fax,
							tc.company_lat AS lat,
							tc.company_long AS lng,
							tu.OID AS uid,
							ta.ADDRESS_TH1 AS address,
							ta.POSTALCODE AS zipcode,
							tcigroup.INDUSTRYGROUP_OID AS groupId,
							pv.PROVINCENAME_TH AS province";
		$split->table = "TBL_USERS AS tu
							Inner Join tbl_address AS ta ON tu.OID = ta.USERS_OID
							Inner Join tbl_company AS tc ON tu.COMPANY_OID = tc.OID
							Inner Join tbl_companyindustrygroup AS tcigroup ON tu.COMPANY_OID = tcigroup.COMPANY_OID
							LEFT JOIN tbl_province AS pv ON tc.PROVINCE_OID = pv.OID";
		$split->condition = sprintf("WHERE tu.STATUS = 1 AND 
												tc.company_lat IS NOT NULL AND
												tc.company_long IS NOT NULL AND
												tc.company_lat <> '0.000000' AND
												tc.company_long <> '0.000000' AND
												tcigroup.INDUSTRYGROUP_OID = %s",
												GetSQLValueString($_GET['gid'], "int"));
		$rs = $split->startRow();
	
		
		$total = $split->numrow;
		
		$responce->result = 1;
		$responce->totalPage = ceil($total / $split->pagesize);
		$responce->records = $split->num++; 
		$responce->total = $total;
		$responce->page = empty($_GET['page'])? 1:$_GET['page'];
		
		if($responce->records){
			$i = 1;
			while($row = mysql_fetch_assoc($rs)){
				
 				$responce->rows[$i] = $row;
				$i++;
				
			}		
		}
		echo json_encode($responce);
	}
	//======================================================= END SHOW LOCATION =============================================
}
?>