<?php
require "../connections/thaitechno.php";
require "../class/SQLManager.php";
include('include/function.inc.php');
include('channel.inc.php');
require_once('../class/SplitPage.php');

$title = "FTI : ".$title;
$split = new SplitPage();


$split->field = 'pro.PRODUCTNAME,
				pro.PRODUCTNAMEEN,
				pro.BRANDNAME,
				pro.MODEL,
				pro.THUMBNAILIMAGE,
				pro.SHORTDESC,
				pro.PRODUCTNAMEEN,
				pro.LASTUPDATED,
				indusgroup.INDUSTRYGROUP_OID,
				com.COMPANYNAME_TH,
				tuser.OID AS UserID,
				pro.OID AS ProID,
				comgroup.INDUSTRYGROUP_OID,
				indusgroup.PRODUCT_OID,
				com.LOGOIMAGE';
$split->table = 'tbl_product AS pro
				Inner Join tbl_productindustrygroup AS indusgroup ON pro.OID = indusgroup.PRODUCT_OID
				Inner Join TBL_USERS AS tuser ON pro.USERS_OID = tuser.OID
				Inner Join tbl_company AS com ON tuser.COMPANY_OID = com.OID
				Inner Join tbl_companyindustrygroup AS comgroup ON com.OID = comgroup.COMPANY_OID';
$split->condition = sprintf("WHERE indusgroup.INDUSTRYGROUP_OID =%s AND
					comgroup.INDUSTRYGROUP_OID =%s AND tuser.STATUS=1
					AND pro.show_web=1
					ORDER BY pro.PRODUCTNAME asc",
						GetSQLValueString($indus,"int"),
						GetSQLValueString($indus,"int"));
$split->parameters = "&indus=".$indus;
$product = $split->startRow();




$arrIncCss = array("basic" => "/channel/css/channel.css",
					"channel" => "/channel/".$path."/css/base.css",
					"split" => "/channel/".$path."/css/SplitPage.css");

?>
<?php include("../header.inc.php"); ?>
<?php include("../sidebar.inc.php"); ?>
<div id="content">


	<div class="content">
        
        
        <div id="content_box01">
            <form action="search.php" method="get">
	        	<div id="search">
	            	<input name="q" type="text" class="in_b in_wh2 in_t" id="q" placeholder="<?php $translate->__('Search Product Or Business'); ?>" size="56">
	            </div>
	            <div id="search_icon">
					<input type="image" name="conf" value="submit" id="submit" src="/images/search_button.png">
	            </div>
            </form>
        </div>
        <!----- end content_box01 ----->
        
        <div class="content2"> 
        
        
			<div class="detail" >
					<img src="/channel/<?php echo $path; ?>/images/cover.png" width="100%">
			</div>
		
		
			<div class="heading_title">
				<div class="center"><h2><?php echo $topicPage['product']; ?></h2></div>
			</div> 
			
	        <div class="detail" >
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                  <td width="120">&nbsp;</td>
                  <td width="12">&nbsp;</td>
                  <td width="529">&nbsp;</td>
                  </tr>
                  <?php
				  while($row_product = mysql_fetch_object($product)) {
					  
					  if($row_product->THUMBNAILIMAGE!="") {
						  $pic = "http://www.thaitechno.net".$row_product->THUMBNAILIMAGE;
					  } else {
						  if($row_product->LOGOIMAGE!="") {
							  	$pic = "http://www.thaitechno.net".$row_product->LOGOIMAGE;
						  } else {
						  		$pic = "images/no_image.gif";
						  }
					  }
					
				  ?>
                    <tr>
                     
                      <td width="120" align="center"><a href="/shop4/product-detail.php?id=<?php echo $row_product->ProID; ?>&amp;uid=<?php echo $row_product->UserID; ?>" target="_blank">
                      <div class="imgThumb">
                      	<img src="<?php echo $pic; ?>" border="0"/>
                     </div>
                      </a></td>
                      <td>&nbsp;</td>
                      <td valign="top"><a href="/shop4/product-detail.php?id=<?php echo $row_product->ProID; ?>&amp;uid=<?php echo $row_product->UserID; ?>" target="_blank">
					  <?php 
					  echo $split->num++.".  ".$row_product->PRODUCTNAME."<br />"; 
					  ?>
                      </a>
                      <?php
					 if($row_product->PRODUCTNAMEEN!="") {
						 echo "<span class='TextRed'>".$row_product->PRODUCTNAMEEN."<br /></span>";
					 }
					  ?>
                        <span class="textDate">
						<?php  
							if($row_product->BRANDNAME!="" && $row_product->BRANDNAME!="-") {
								echo "<strong>BRAND :</strong> ".$row_product->BRANDNAME."<br />";
							}
							if($row_product->MODEL!="" && $row_product->MODEL!="-") {
								 echo "<strong>MODEL :</strong> ".$row_product->MODEL."<br />";
							}
							if($row_product->LASTUPDATED!="") {
							?><span class="textDateOrenge">Last Update : <?php echo FormatDateTime($row_product->LASTUPDATED); ?></span><?
							}
						 ?>
                       </span><br />
                        <br />
                        <a href="/shop4/home.php?uid=<?php echo $row_product->UserID; ?>" target="_blank"><span class="linkGray">จาก... <?php echo $row_product->COMPANYNAME_TH; ?></span></a></td>
                    </tr>
                    <tr>
                      <td colspan="3">&nbsp;</td>
                    </tr>
                    <?php
				  }
					?>
                    <tr>
                      <td colspan="3"><?php echo $split->showSelectPage(); ?></td>
                      </tr>
                  </table>
			</div>
			
			
			
		</div><!--  End content2 class -->  
	</div><!-------------------- end class content -------------------->


</div><!-- end id content -->

<?php include("../footer.inc.php"); ?>